CQSEARCH(1)

NAME
cqsearch - create codequery database

SYNOPSIS

cqsearch [-s <sqdbfile> [-p <n>] [-t <term>] -[e|f] ] [-d] [-v] [-h]

OPTIONS

-s
    CodeQuery sqlite3 db file path

-p <n>
    parameter is a number denoted by n

        • 1: Symbol (default)

        • 2: Function or macro definition

        • 3: Class or struct

        • 4: Files including this file

        • 5: Full file path

        • 6: Functions calling this function

        • 7: Functions called by this function

        • 8: Calls of this function or macro

        • 9: Members and methods of this class

        • 10: Class which owns this member or method

        • 11: Children of this class (inheritance)

        • 12: Parent of this class (inheritance)

        • 13: Functions or macros inside this file

-t
    search term without spaces if Exact Match is switched off, wild card searches are possible. Use * and ?

-e
    Exact Match switched ON Case-sensitive

-f
    Exact Match switched OFF (fuzzy search) Case-insensitive with wild card search (default)

-d
    debug

-v
    version

-h
    help

The combinations possible are -s -t -e, -s -t -f. The additional optional arguments are -d.

COPYRIGHT

Copyright 2013-2015 ruben2020 https://github.com/ruben2020/

Website: https://github.com/ruben2020/codequery

AUTHOR

This manual page was written by ChangZhuo Chen <czchen@debian.org> for the Debian GNU/Linux system (but may be used by others).